"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parser = exports.allowedLines = void 0;
exports.allowedLines = ['CORAL', 'DIAMANTE', 'ESMERALDA', 'JADE', 'RUBI', 'SAFIRA', 'TURQUESA'];
exports.parser = (payload) => {
    const reducer = (acc, line) => {
        if (exports.allowedLines.includes(line.Nome)) {
            return [
                ...acc,
                {
                    updatedAt: line.DataGeracao,
                    description: line.Descricao,
                    id: line.LinhaId,
                    status: line.Status,
                    type: line.Tipo,
                    name: line.Nome,
                },
            ];
        }
        return acc;
    };
    return payload.reduce(reducer, []);
};
